com.amazonaws.services.workspaces.model

## Class Workspace

- java.lang.Object
- - com.amazonaws.services.workspaces.model.Workspace

All Implemented Interfaces:
  Serializable, Cloneable

    public class Workspace
    extends Object
    implements Serializable, Cloneable

Contains information about a WorkSpace.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Workspace()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Workspace` `clone()`
`boolean` `equals(Object obj)`
`String` `getBundleId()` The identifier of the bundle that the WorkSpace was created from.
`String` `getComputerName()` The name of the WorkSpace as seen by the operating system.
`String` `getDirectoryId()` The identifier of the AWS Directory Service directory that the WorkSpace belongs to.
`String` `getErrorCode()` If the WorkSpace could not be created, this contains the error code.
`String` `getErrorMessage()` If the WorkSpace could not be created, this contains a textual error message that describes the failure.
`String` `getIpAddress()` The IP address of the WorkSpace.
`Boolean` `getRootVolumeEncryptionEnabled()` Specifies whether the data stored on the root volume, or C: drive, is encrypted.
`String` `getState()` The operational state of the WorkSpace.
`String` `getSubnetId()` The identifier of the subnet that the WorkSpace is in.
`String` `getUserName()` The user that the WorkSpace is assigned to.
`Boolean` `getUserVolumeEncryptionEnabled()` Specifies whether the data stored on the user volume, or D: drive, is encrypted.
`String` `getVolumeEncryptionKey()` The KMS key used to encrypt data stored on your WorkSpace.
`String` `getWorkspaceId()` The identifier of the WorkSpace.
`WorkspaceProperties` `getWorkspaceProperties()`
`int` `hashCode()`
`Boolean` `isRootVolumeEncryptionEnabled()` Specifies whether the data stored on the root volume, or C: drive, is encrypted.
`Boolean` `isUserVolumeEncryptionEnabled()` Specifies whether the data stored on the user volume, or D: drive, is encrypted.
`void` `setBundleId(String bundleId)` The identifier of the bundle that the WorkSpace was created from.
`void` `setComputerName(String computerName)` The name of the WorkSpace as seen by the operating system.
`void` `setDirectoryId(String directoryId)` The identifier of the AWS Directory Service directory that the WorkSpace belongs to.
`void` `setErrorCode(String errorCode)` If the WorkSpace could not be created, this contains the error code.
`void` `setErrorMessage(String errorMessage)` If the WorkSpace could not be created, this contains a textual error message that describes the failure.
`void` `setIpAddress(String ipAddress)` The IP address of the WorkSpace.
`void` `setRootVolumeEncryptionEnabled(Boolean rootVolumeEncryptionEnabled)` Specifies whether the data stored on the root volume, or C: drive, is encrypted.
`void` `setState(String state)` The operational state of the WorkSpace.
`void` `setState(WorkspaceState state)` The operational state of the WorkSpace.
`void` `setSubnetId(String subnetId)` The identifier of the subnet that the WorkSpace is in.
`void` `setUserName(String userName)` The user that the WorkSpace is assigned to.
`void` `setUserVolumeEncryptionEnabled(Boolean userVolumeEncryptionEnabled)` Specifies whether the data stored on the user volume, or D: drive, is encrypted.
`void` `setVolumeEncryptionKey(String volumeEncryptionKey)` The KMS key used to encrypt data stored on your WorkSpace.
`void` `setWorkspaceId(String workspaceId)` The identifier of the WorkSpace.
`void` `setWorkspaceProperties(WorkspaceProperties workspaceProperties)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Workspace` `withBundleId(String bundleId)` The identifier of the bundle that the WorkSpace was created from.
`Workspace` `withComputerName(String computerName)` The name of the WorkSpace as seen by the operating system.
`Workspace` `withDirectoryId(String directoryId)` The identifier of the AWS Directory Service directory that the WorkSpace belongs to.
`Workspace` `withErrorCode(String errorCode)` If the WorkSpace could not be created, this contains the error code.
`Workspace` `withErrorMessage(String errorMessage)` If the WorkSpace could not be created, this contains a textual error message that describes the failure.
`Workspace` `withIpAddress(String ipAddress)` The IP address of the WorkSpace.
`Workspace` `withRootVolumeEncryptionEnabled(Boolean rootVolumeEncryptionEnabled)` Specifies whether the data stored on the root volume, or C: drive, is encrypted.
`Workspace` `withState(String state)` The operational state of the WorkSpace.
`Workspace` `withState(WorkspaceState state)` The operational state of the WorkSpace.
`Workspace` `withSubnetId(String subnetId)` The identifier of the subnet that the WorkSpace is in.
`Workspace` `withUserName(String userName)` The user that the WorkSpace is assigned to.
`Workspace` `withUserVolumeEncryptionEnabled(Boolean userVolumeEncryptionEnabled)` Specifies whether the data stored on the user volume, or D: drive, is encrypted.
`Workspace` `withVolumeEncryptionKey(String volumeEncryptionKey)` The KMS key used to encrypt data stored on your WorkSpace.
`Workspace` `withWorkspaceId(String workspaceId)` The identifier of the WorkSpace.
`Workspace` `withWorkspaceProperties(WorkspaceProperties workspaceProperties)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Workspace

    public Workspace()

### Method Detail

#### setWorkspaceId

    public void setWorkspaceId(String workspaceId)

The identifier of the WorkSpace.

Parameters:
  `workspaceId` - The identifier of the WorkSpace.

#### getWorkspaceId

    public String getWorkspaceId()

The identifier of the WorkSpace.

Returns:
  The identifier of the WorkSpace.

#### withWorkspaceId

    public Workspace withWorkspaceId(String workspaceId)

The identifier of the WorkSpace.

Parameters:
  `workspaceId` - The identifier of the WorkSpace.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDirectoryId

    public void setDirectoryId(String directoryId)

The identifier of the AWS Directory Service directory that the WorkSpace belongs to.

Parameters:
  `directoryId` - The identifier of the AWS Directory Service directory that the WorkSpace belongs to.

#### getDirectoryId

    public String getDirectoryId()

The identifier of the AWS Directory Service directory that the WorkSpace belongs to.

Returns:
  The identifier of the AWS Directory Service directory that the WorkSpace belongs to.

#### withDirectoryId

    public Workspace withDirectoryId(String directoryId)

The identifier of the AWS Directory Service directory that the WorkSpace belongs to.

Parameters:
  `directoryId` - The identifier of the AWS Directory Service directory that the WorkSpace belongs to.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setUserName

    public void setUserName(String userName)

The user that the WorkSpace is assigned to.

Parameters:
  `userName` - The user that the WorkSpace is assigned to.

#### getUserName

    public String getUserName()

The user that the WorkSpace is assigned to.

Returns:
  The user that the WorkSpace is assigned to.

#### withUserName

    public Workspace withUserName(String userName)

The user that the WorkSpace is assigned to.

Parameters:
  `userName` - The user that the WorkSpace is assigned to.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setIpAddress

    public void setIpAddress(String ipAddress)

The IP address of the WorkSpace.

Parameters:
  `ipAddress` - The IP address of the WorkSpace.

#### getIpAddress

    public String getIpAddress()

The IP address of the WorkSpace.

Returns:
  The IP address of the WorkSpace.

#### withIpAddress

    public Workspace withIpAddress(String ipAddress)

The IP address of the WorkSpace.

Parameters:
  `ipAddress` - The IP address of the WorkSpace.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setState

    public void setState(String state)

The operational state of the WorkSpace.

Parameters:
  `state` - The operational state of the WorkSpace.
See Also:
  `WorkspaceState`

#### getState

    public String getState()

The operational state of the WorkSpace.

Returns:
  The operational state of the WorkSpace.
See Also:
  `WorkspaceState`

#### withState

    public Workspace withState(String state)

The operational state of the WorkSpace.

Parameters:
  `state` - The operational state of the WorkSpace.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `WorkspaceState`

#### setState

    public void setState(WorkspaceState state)

The operational state of the WorkSpace.

Parameters:
  `state` - The operational state of the WorkSpace.
See Also:
  `WorkspaceState`

#### withState

    public Workspace withState(WorkspaceState state)

The operational state of the WorkSpace.

Parameters:
  `state` - The operational state of the WorkSpace.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `WorkspaceState`

#### setBundleId

    public void setBundleId(String bundleId)

The identifier of the bundle that the WorkSpace was created from.

Parameters:
  `bundleId` - The identifier of the bundle that the WorkSpace was created from.

#### getBundleId

    public String getBundleId()

The identifier of the bundle that the WorkSpace was created from.

Returns:
  The identifier of the bundle that the WorkSpace was created from.

#### withBundleId

    public Workspace withBundleId(String bundleId)

The identifier of the bundle that the WorkSpace was created from.

Parameters:
  `bundleId` - The identifier of the bundle that the WorkSpace was created from.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSubnetId

    public void setSubnetId(String subnetId)

The identifier of the subnet that the WorkSpace is in.

Parameters:
  `subnetId` - The identifier of the subnet that the WorkSpace is in.

#### getSubnetId

    public String getSubnetId()

The identifier of the subnet that the WorkSpace is in.

Returns:
  The identifier of the subnet that the WorkSpace is in.

#### withSubnetId

    public Workspace withSubnetId(String subnetId)

The identifier of the subnet that the WorkSpace is in.

Parameters:
  `subnetId` - The identifier of the subnet that the WorkSpace is in.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setErrorMessage

    public void setErrorMessage(String errorMessage)

If the WorkSpace could not be created, this contains a textual error message that describes the failure.

Parameters:
  `errorMessage` - If the WorkSpace could not be created, this contains a textual error message that describes the failure.

#### getErrorMessage

    public String getErrorMessage()

If the WorkSpace could not be created, this contains a textual error message that describes the failure.

Returns:
  If the WorkSpace could not be created, this contains a textual error message that describes the failure.

#### withErrorMessage

    public Workspace withErrorMessage(String errorMessage)

If the WorkSpace could not be created, this contains a textual error message that describes the failure.

Parameters:
  `errorMessage` - If the WorkSpace could not be created, this contains a textual error message that describes the failure.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setErrorCode

    public void setErrorCode(String errorCode)

If the WorkSpace could not be created, this contains the error code.

Parameters:
  `errorCode` - If the WorkSpace could not be created, this contains the error code.

#### getErrorCode

    public String getErrorCode()

If the WorkSpace could not be created, this contains the error code.

Returns:
  If the WorkSpace could not be created, this contains the error code.

#### withErrorCode

    public Workspace withErrorCode(String errorCode)

If the WorkSpace could not be created, this contains the error code.

Parameters:
  `errorCode` - If the WorkSpace could not be created, this contains the error code.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setComputerName

    public void setComputerName(String computerName)

The name of the WorkSpace as seen by the operating system.

Parameters:
  `computerName` - The name of the WorkSpace as seen by the operating system.

#### getComputerName

    public String getComputerName()

The name of the WorkSpace as seen by the operating system.

Returns:
  The name of the WorkSpace as seen by the operating system.

#### withComputerName

    public Workspace withComputerName(String computerName)

The name of the WorkSpace as seen by the operating system.

Parameters:
  `computerName` - The name of the WorkSpace as seen by the operating system.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVolumeEncryptionKey

    public void setVolumeEncryptionKey(String volumeEncryptionKey)

The KMS key used to encrypt data stored on your WorkSpace.

Parameters:
  `volumeEncryptionKey` - The KMS key used to encrypt data stored on your WorkSpace.

#### getVolumeEncryptionKey

    public String getVolumeEncryptionKey()

The KMS key used to encrypt data stored on your WorkSpace.

Returns:
  The KMS key used to encrypt data stored on your WorkSpace.

#### withVolumeEncryptionKey

    public Workspace withVolumeEncryptionKey(String volumeEncryptionKey)

The KMS key used to encrypt data stored on your WorkSpace.

Parameters:
  `volumeEncryptionKey` - The KMS key used to encrypt data stored on your WorkSpace.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setUserVolumeEncryptionEnabled

    public void setUserVolumeEncryptionEnabled(Boolean userVolumeEncryptionEnabled)

Specifies whether the data stored on the user volume, or D: drive, is encrypted.

Parameters:
  `userVolumeEncryptionEnabled` - Specifies whether the data stored on the user volume, or D: drive, is encrypted.

#### getUserVolumeEncryptionEnabled

    public Boolean getUserVolumeEncryptionEnabled()

Specifies whether the data stored on the user volume, or D: drive, is encrypted.

Returns:
  Specifies whether the data stored on the user volume, or D: drive, is encrypted.

#### withUserVolumeEncryptionEnabled

    public Workspace withUserVolumeEncryptionEnabled(Boolean userVolumeEncryptionEnabled)

Specifies whether the data stored on the user volume, or D: drive, is encrypted.

Parameters:
  `userVolumeEncryptionEnabled` - Specifies whether the data stored on the user volume, or D: drive, is encrypted.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isUserVolumeEncryptionEnabled

    public Boolean isUserVolumeEncryptionEnabled()

Specifies whether the data stored on the user volume, or D: drive, is encrypted.

Returns:
  Specifies whether the data stored on the user volume, or D: drive, is encrypted.

#### setRootVolumeEncryptionEnabled

    public void setRootVolumeEncryptionEnabled(Boolean rootVolumeEncryptionEnabled)

Specifies whether the data stored on the root volume, or C: drive, is encrypted.

Parameters:
  `rootVolumeEncryptionEnabled` - Specifies whether the data stored on the root volume, or C: drive, is encrypted.

#### getRootVolumeEncryptionEnabled

    public Boolean getRootVolumeEncryptionEnabled()

Specifies whether the data stored on the root volume, or C: drive, is encrypted.

Returns:
  Specifies whether the data stored on the root volume, or C: drive, is encrypted.

#### withRootVolumeEncryptionEnabled

    public Workspace withRootVolumeEncryptionEnabled(Boolean rootVolumeEncryptionEnabled)

Specifies whether the data stored on the root volume, or C: drive, is encrypted.

Parameters:
  `rootVolumeEncryptionEnabled` - Specifies whether the data stored on the root volume, or C: drive, is encrypted.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isRootVolumeEncryptionEnabled

    public Boolean isRootVolumeEncryptionEnabled()

Specifies whether the data stored on the root volume, or C: drive, is encrypted.

Returns:
  Specifies whether the data stored on the root volume, or C: drive, is encrypted.

#### setWorkspaceProperties

    public void setWorkspaceProperties(WorkspaceProperties workspaceProperties)

Parameters:
  `workspaceProperties` -

#### getWorkspaceProperties

    public WorkspaceProperties getWorkspaceProperties()

Returns:

#### withWorkspaceProperties

    public Workspace withWorkspaceProperties(WorkspaceProperties workspaceProperties)

Parameters:
  `workspaceProperties` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Workspace clone()

Overrides:
  `clone` in class `Object`